package com.ruoyi.system.service.impl;

import java.util.List;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProductProducttypeMapper;
import com.ruoyi.system.domain.ProductProducttype;
import com.ruoyi.system.service.IProductProducttypeService;

/**
 * 产品类型表 服务实现
 *
 * @author ruoyi
 */
@Service
public class ProductProducttypeServiceImpl implements IProductProducttypeService
{
    @Autowired
    private ProductProducttypeMapper productProducttypeMapper;

    /**
     * 查询产品类型集合
     *
     * @return 产品类型集合
     */
    @Override
    public List<ProductProducttype> selectProductProducttypeList()
    {
        return productProducttypeMapper.selectProductProducttypeList();
    }

    /**
     * 分页查询产品类型集合
     *
     * @return 分页数据
     */
    @Override
    public TableDataInfo selectProductProducttypeListByPage(Integer pageNum, Integer pageSize)
    {
        if (pageNum == null) pageNum = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(pageNum, pageSize);
        List<ProductProducttype> list = productProducttypeMapper.selectProductProducttypeList();
        PageInfo<ProductProducttype> pageInfo = new PageInfo<>(list);
        return new TableDataInfo(list, pageInfo.getTotal());
    }

    /**
     * 根据ID查询产品类型信息
     *
     * @param id 主键ID
     * @return 产品类型信息
     */
    @Override
    public ProductProducttype selectProductProducttypeById(Long id)
    {
        return productProducttypeMapper.selectProductProducttypeById(id);
    }

    /**
     * 新增产品类型信息
     *
     * @param productProducttype 产品类型信息
     * @return 结果
     */
    @Override
    public int insertProductProducttype(ProductProducttype productProducttype)
    {
        return productProducttypeMapper.insertProductProducttype(productProducttype);
    }

    /**
     * 修改产品类型信息
     *
     * @param productProducttype 产品类型信息
     * @return 结果
     */
    @Override
    public int updateProductProducttype(ProductProducttype productProducttype)
    {
        return productProducttypeMapper.updateProductProducttype(productProducttype);
    }

    /**
     * 删除产品类型信息
     *
     * @param id 主键ID
     * @return 结果
     */
    @Override
    public int deleteProductProducttypeById(Long id)
    {
        return productProducttypeMapper.deleteProductProducttypeById(id);
    }

    /**
     * 批量删除产品类型信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    @Override
    public int deleteProductProducttypeByIds(Long[] ids)
    {
        return productProducttypeMapper.deleteProductProducttypeByIds(ids);
    }
}